Skip to main content
POST
/
organization
/
{organizationId}
/
aws
/
credentials
Create AWS credentials set
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/aws/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "AWS_ROLE",
  "name": "<string>",
  "role_arn": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "access_key_id": "<string>",
  "object_type": "AWS"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
type
enum<string>
required
Available options:
AWS_ROLE
name
string
required
role_arn
string
required

Response

Credentials created

id
string<uuid>
required
name
string
required
access_key_id
string
required
object_type
enum<string>
required
Available options:
AWS